## openbios-ppc 1.0+svn505

=== Makefile ===
HOSTARCH=$(shell config/scripts/archname)
ODIRS=$(wildcard obj-*)
TARGETS=$(subst obj-,,$(ODIRS))

all: requirements info build

requirements:
	@which xsltproc &>/dev/null || ( echo ; echo "Please install libxslt2"; \
			echo; exit 1 )

info:
	@echo "Building OpenBIOS on $(HOSTARCH) for $(TARGETS)"

clean:
	@printf "Cleaning up..."
	@rm -rf $(ODIRS) forth.dict.core
	@find . -type f -name "*~" -exec rm \{\} \;
	@echo " ok"

build:
	@printf "Building..."
	@for dir in $(ODIRS); do \
		$(MAKE) -C $$dir > $$dir/build.log 2>&1 && echo "ok." || \
		( echo "error:"; tail -15 $$dir/build.log; exit 1 ) \
	done

build-verbose:
	@echo "Building..."
	@for dir in $(ODIRS); do \
		$(MAKE) -C $$dir || exit 1; \
	done

run:
	@echo "Running..."
	@$(ODIR)/openbios-unix $(ODIR)/openbios-unix.dict


# The following two targets will only work on x86 so far.
# 
$(ODIR)/openbios.iso: $(ODIR)/openbios.multiboot $(ODIR)/openbios-x86.dict
	@mkisofs -input-charset UTF-8 -r -b boot/grub/stage2_eltorito -no-emul-boot \
	-boot-load-size 4 -boot-info-table -o $@ utils/iso $^

runiso: $(ODIR)/openbios.iso
	qemu -cdrom $^

## openbios-ppc 1.0+svn1018

=== debian/changelog ===
openbios-ppc (1.0+svn1018-1ubuntu2) precise; urgency=low

  * Swap binary-arch and binary-indep rules since we're making this a single
    arch, arch dependent package and heave it at the archive again

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Apr 2012 23:49:05 -0400

openbios-ppc (1.0+svn1018-1ubuntu1) precise; urgency=low

  * Change openbios-ppc from arch all to arch poewrpc since it only
    builds on powerpc

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Apr 2012 21:40:05 -0400

openbios-ppc (1.0+svn1018-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.14.x.
  * Add conflicts with qemu-system (<< 0.14.0).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Feb 2011 11:44:44 +0100

openbios-ppc (1.0+svn821-2) experimental; urgency=low

  * Relax conflicts on qemu-system to (<< 0.13.0~). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Aug 2010 21:26:42 +0200

openbios-ppc (1.0+svn821-1) experimental; urgency=low

  * New upstream snapshot, compatible with qemu 0.13.x.
  * Add conflicts with qemu-system (<< 0.13.0).
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 19:54:32 +0000

openbios-ppc (1.0+svn640-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.12.x.
  * Add conflicts with qemu-system (<< 0.12.0).
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Feb 2010 22:18:59 +0100

openbios-ppc (1.0+svn505-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.11.x.
  * Conflicts with qemu (<< 0.11.0).
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Nov 2009 21:48:32 +0000

openbios-ppc (1.0-3) unstable; urgency=low

  * ppc_nographic.patch: patch upstream to fix -nographic for PowerPC 
    target.
  * Bump Standards-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Mar 2009 09:44:08 +0100

openbios-ppc (1.0-2) unstable; urgency=low

  * debian/copyright: add two missing copyright entries. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Mar 2009 15:04:57 +0100

openbios-ppc (1.0-1) unstable; urgency=low

  * Initial release based on openbios-sparc.
  * Add a get-orig-source to debian/rules to download sources and prune
    unneeded directories.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Jan 2009 09:44:18 +0100

=== debian/control ===
Source: openbios-ppc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
Standards-Version: 3.9.1
Homepage: http://www.openbios.org/

Package: openbios-ppc
Architecture: powerpc
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.11.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: PowerPC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the PowerPC 32-bit versions of OpenBIOS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -e '/^Version/!d' -e 's/^Version: //g' -e 's/-.*//g')
UPSTREAM_REVISION=$(shell echo $(UPSTREAM_VERSION) | sed -e 's/.*svn/-r/')
UPSTREAM_SVN=svn://openbios.org/openbios/trunk/openbios-devel
UPSTREAM_CHECKOUT=openbios-ppc-$(UPSTREAM_VERSION)

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

get-orig-source:
	svn export $(UPSTREAM_REVISION) $(UPSTREAM_SVN) $(UPSTREAM_CHECKOUT)
	rm -fr openbios-ppc-$(UPSTREAM_VERSION)/utils/iso
	tar -zcf ../openbios-ppc_$(UPSTREAM_VERSION).orig.tar.gz $(UPSTREAM_CHECKOUT)
	rm -rf $(UPSTREAM_CHECKOUT)

build: build-stamp
build-stamp:
	dh_testdir

ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
	@echo "This package must be built on a PowerPC machine"
	@false
endif

	# PowerPC build
	config/scripts/switch-arch builtin-ppc
	cd obj-ppc && $(MAKE) all
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf obj-*
	rm -f config.xml rules.xml
	rm -f *-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(CURDIR)/debian/openbios-ppc/usr/share/openbios
	install -m644 obj-ppc/openbios-qemu.elf $(CURDIR)/debian/openbios-ppc/usr/share/openbios/openbios-ppc


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs Documentation/ChangeLog.arch
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openbios-ppc 1.0+svn1047

=== debian/changelog ===
openbios-ppc (1.0+svn1047-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 1.0.x. 
  * Bump Standards-Version to 3.9.2:
    - Add build-indep and build-arch targets.
  * Update lintian overrides to the new format.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Jan 2012 13:32:54 +0000

=== debian/control ===
Source: openbios-ppc
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
Standards-Version: 3.9.2
Homepage: http://www.openbios.org/

Package: openbios-ppc
Architecture: all
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.11.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: PowerPC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the PowerPC 32-bit versions of OpenBIOS.

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,13 @@
 	tar -zcf ../openbios-ppc_$(UPSTREAM_VERSION).orig.tar.gz $(UPSTREAM_CHECKOUT)
 	rm -rf $(UPSTREAM_CHECKOUT)
 
-build: build-stamp
-build-stamp:
+build: build-arch build-indep
+
+build-arch:
+# We have nothing to do by default.
+
+build-indep: build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 
 ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
@@ -27,11 +32,10 @@
 	@false
 endif
 
-	# PowerPC build
 	config/scripts/switch-arch builtin-ppc
 	cd obj-ppc && $(MAKE) all
 	
-	touch build-stamp
+	touch build-indep-stamp
 
 clean:
 	dh_testdir
@@ -41,7 +45,7 @@
 	rm -f *-stamp
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -51,8 +55,8 @@
 	install -m644 obj-ppc/openbios-qemu.elf $(CURDIR)/debian/openbios-ppc/usr/share/openbios/openbios-ppc
 
 
-# Build architecture-dependent files here.
-binary-arch: build install
+# Build architecture-independent files here.
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -67,9 +71,9 @@
 	dh_md5sums
 	dh_builddeb
 
-# Build architecture-independent files here.
-binary-indep: build install
+# Build architecture-dependent files here.
+binary-arch: build-indep install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## openbios-ppc 1.0+svn1060

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-HOSTARCH=$(shell config/scripts/archname)
 ODIRS=$(wildcard obj-*)
 TARGETS=$(subst obj-,,$(ODIRS))
 
@@ -9,13 +8,13 @@
 			echo; exit 1 )
 
 info:
-	@echo "Building OpenBIOS on $(HOSTARCH) for $(TARGETS)"
+	@echo "Building OpenBIOS for $(TARGETS)"
 
 clean:
-	@printf "Cleaning up..."
-	@rm -rf $(ODIRS) forth.dict.core
-	@find . -type f -name "*~" -exec rm \{\} \;
-	@echo " ok"
+	@echo "Cleaning up..."
+	@for dir in $(ODIRS); do \
+		$(MAKE) -C $$dir clean; \
+	done
 
 build:
 	@printf "Building..."
@@ -32,7 +31,9 @@
 
 run:
 	@echo "Running..."
-	@$(ODIR)/openbios-unix $(ODIR)/openbios-unix.dict
+	@for dir in $(ODIRS); do \
+		$$dir/openbios-unix $$dir/openbios-unix.dict; \
+	done
 
 
 # The following two targets will only work on x86 so far.

=== arch/unix/Makefile ===
# 

include			../../config/Makefile.top

SUBDIRS-$(CONFIG_PLUGINS)	= plugins
SUBDIRS-$(CONFIG_UNIX_QT)	= gui_qt

DICTIONARIES		= unix
unix-SRC		= tree.fs $(ARCHDICT_SRC)

PROGRAMS		= unix

unix-OBJS               = $(unix-y)
unix-y			+= blk.o 
unix-y			+= boot.o 
unix-y			+= unix.o 
unix-y			+= $(KOBJS) 
unix-y			+= $(MODULE_LIBS) $(FS_LIBS) $(DRIVER_LIBS) $(LIBC_LIBS)
unix-$(CONFIG_PLUGINS)  += plugins.o 

unix-LDFLAGS		= $(unix-LDFLAGS-$(CONFIG_PLUGINS))
unix-LDFLAGS-y		= -rdynamic $(LIBDL_LDFLAGS)
unix-LDFLAGS-n		= 
unix-LDADD		= 

INCLUDES		= -I../../kernel -I../../kernel/include -DBOOTSTRAP

include			$(rules)/Rules.forth
include			$(rules)/Rules.make

=== debian/changelog ===
openbios-ppc (1.0+svn1060-1ubuntu2) raring; urgency=low

  * Swap binary-arch and binary-indep rules back and make us arch:all again.
  * Build-dep on a PowerPC cross-compiler and cross-build instead of native.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Mar 2013 16:27:37 -0600

openbios-ppc (1.0+svn1060-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change openbios-ppc from arch all to arch poewrpc since it only
      builds on powerpc
    - Swap binary-arch and binary-indep rules since we're making this a single
      arch, arch dependent package

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 14:48:56 -0400

openbios-ppc (1.0+svn1060-1) unstable; urgency=low

  * New upstream snapshot, shipped with qemu 1.1.0.
  * Fix build on machines where uname returns 'ppc64'. Closes: #676775.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Jun 2012 14:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openbios-ppc
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu
+Standards-Version: 3.9.3
 Homepage: http://www.openbios.org/
 
 Package: openbios-ppc

=== debian/rules ===
--- 
+++ 
@@ -27,12 +27,7 @@
 build-indep-stamp:
 	dh_testdir
 
-ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
-	@echo "This package must be built on a PowerPC machine"
-	@false
-endif
-
-	config/scripts/switch-arch builtin-ppc
+	config/scripts/switch-arch cross-ppc
 	cd obj-ppc && $(MAKE) all
 	
 	touch build-indep-stamp

## openbios-ppc 1.1

=== arch/unix/gui_qt/Makefile ===
#
# Makefile of QT user interface for OpenBIOS
# 
#  (C) 2004 Stefan Reinauer <stepan@openbios.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2
#   

include		../../../config/Makefile.top

XTARGETS                = qt

qt-OBJS                 = $(obj-y)
obj-y                   += gui_qt.o

QMAKE		= qmake
UIDIR	= $(shell pwd )
TOPDIR		= $(shell cd $(top_srcdir) ; pwd)
ABSOINC		= $(shell cd $(ARCHINCLUDES) 2> /dev/null ; pwd )

export UIDIR TOPDIR ABSOINC

$(ODIR)/makefile.qmake: gui-qt.pro Makefile
	@echo "ODIR: $(ODIR)"
	@test -d $(ODIR) || $(INSTALL) -d $(ODIR)
	@test -d $(ODIR)/qbuild || $(INSTALL) -d $(ODIR)/qbuild
	@install -m 644 gui-qt.pro $(ODIR)/
	cd $(ODIR) ; $(QMAKE) -o makefile.qmake

$(ODIR)/libgui_qt.a: $(ODIR)/makefile.qmake $(wildcard *.cpp)
	cd $(ODIR) ; $(MAKE) -f makefile.qmake
	@ln -f $(ODIR)/qbuild/libgui_qt.a $@

clean-local:
	@rm -f $(ODIR)/makefile.qmake
	@rm -rf $(QBUILDDIR)

INCLUDES	= -I$(top_srcdir)/include -DBOOTSTRAP

include		$(rules)/Rules.make

=== debian/changelog ===
openbios-ppc (1.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable; remaining changes:
    - Build-dep on a PowerPC cross-compiler, so we cross-build on non-PPC.
  * Limit cross-compiler build-dep to [!powerpc] so we build on PPC too.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 May 2013 05:59:39 -0600

openbios-ppc (1.1-1) unstable; urgency=low

  * New upstream version for QEMU 1.5.x releases.
  * Refresh debian/patches/01_kernel-headers.diff.
  * Switch maintainer to the Debian QEMU Team, add myself as uploader.
  * Add Vcs-* field.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of dh_clean -k.
  * Compress sources and binaries with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 21:41:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: openbios-ppc
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu
+Build-Depends: debhelper (>= 7), fcode-utils, xsltproc, gcc-powerpc-linux-gnu [!powerpc]
 Standards-Version: 3.9.3
 Homepage: http://www.openbios.org/
+Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openbios-ppc.git
+Vcs-Git: git://git.debian.org/git/pkg-qemu/openbios-ppc.git
 
 Package: openbios-ppc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 build-indep-stamp:
 	dh_testdir
 
-	config/scripts/switch-arch cross-ppc
+	config/scripts/switch-arch builtin-ppc
 	cd obj-ppc && $(MAKE) all
 	
 	touch build-indep-stamp
@@ -43,7 +43,7 @@
 install: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/openbios-ppc/usr/share/openbios
@@ -64,7 +64,7 @@
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build-indep install

## openbios-ppc 1.1+svn1306

=== debian/changelog ===
openbios-ppc (1.1+svn1306-1) unstable; urgency=medium

  * New upstream version for QEMU 2.1.x releases. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Aug 2014 11:05:38 +0000

openbios-ppc (1.1+svn1229-1) unstable; urgency=low

  * New upstream version for QEMU 1.7.x releases.
  * Mark openbios-ppc as Multi-Arch: foreign.
  * Bump Standards-Version to 3.9.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Nov 2013 09:42:13 +0100

=== debian/control ===
Source: openbios-ppc
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 7), fcode-utils, xsltproc
Standards-Version: 3.9.5.0
Homepage: http://www.openbios.org/
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openbios-ppc.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/openbios-ppc.git

Package: openbios-ppc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.11.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: PowerPC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the PowerPC 32-bit versions of OpenBIOS.

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,13 @@
 build-indep-stamp:
 	dh_testdir
 
+ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
+	@echo "This package must be built on a PowerPC machine"
+	@false
+endif
+
 	config/scripts/switch-arch builtin-ppc
-	cd obj-ppc && $(MAKE) all
+	cd obj-ppc && $(MAKE) all CC="gcc -m32" HOSTCC="gcc -m32" TARGET=""
 	
 	touch build-indep-stamp
 
@@ -67,7 +72,7 @@
 	dh_builddeb -- -Zxz
 
 # Build architecture-dependent files here.
-binary-arch: build-indep install
+binary-arch: build-arch install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
